<template>
  <ac-material-dropdown
    :options="dropdown.options"
    :button_options="dropdown.button_options"
    @item_click="event_test"
  />
</template>

<script>
export default {
  data: function() {
    return {
      dropdown: {
        options: [
          {
            label: "Edit",
            type: "edit",
            icon: "fas fa-pencil-alt"
          },
          {
            label: "Delete",
            type: "delete",
            icon: "fas fa-trash-alt"
          }
        ],
        button_options: {
          icon: "fas fa-ellipsis-v",
          variant: "outline-secondary",
          size: "sm",
          right: true
        }
      }
    };
  },
  methods: {
    event_test(data) {
      console.log(data);
    }
  }
};
</script>

<style>
</style>
